Commit cb8519db authored by Niels Möller's avatar Niels Möller
Browse files

Set WINEPATH for tests, and remove symlink workaround.

parent 9f238b7d
2020-04-23 Niels Möller <nisse@lysator.liu.se> 2020-04-23 Niels Möller <nisse@lysator.liu.se>
* run-tests: Set WINEPATH, since it appears wine doesn't search
for dlls in the unix PATH.
* examples/setup-env: Delete creation of extra dll symlinks.
* examples/teardown-env: Delete corresponding cleanup.
* testsuite/setup-env: Deleted file (same symlink creation).
* testsuite/teardown-env: Delete corresponding cleanup.
* testsuite/ecc-add-test.c (test_main): Delete ASSERTs with * testsuite/ecc-add-test.c (test_main): Delete ASSERTs with
functions pointer comparisons. They provide little value, and fail functions pointer comparisons. They provide little value, and fail
when linking with hogweed.dll on windows. when linking with hogweed.dll on windows.
......
...@@ -2,15 +2,6 @@ ...@@ -2,15 +2,6 @@
set -e set -e
# Workaround, it seems difficult to convince wine to put ../lib into PATH.
case "$EMULATOR" in
wine*)
for f in ../.lib/*.dll ; do
ln -sf "$f" .
done
;;
esac
if [ -x rsa-keygen$EXEEXT ] ; then if [ -x rsa-keygen$EXEEXT ] ; then
$EMULATOR ./rsa-keygen -r rsa-decrypt$EXEEXT -o testkey || exit 1 $EMULATOR ./rsa-keygen -r rsa-decrypt$EXEEXT -o testkey || exit 1
fi fi
...@@ -3,9 +3,3 @@ ...@@ -3,9 +3,3 @@
rm -rf testkey testkey.pub testsignature testsignature2 \ rm -rf testkey testkey.pub testsignature testsignature2 \
testdata testtmp \ testdata testtmp \
testciphertext testcleartext testciphertext testcleartext
case "$EMULATOR" in
wine*)
find . -type l -name '*.dll' -exec rm -f '{}' ';'
;;
esac
...@@ -35,9 +35,13 @@ if [ -n "$TEST_SHLIB_DIR" ] ; then ...@@ -35,9 +35,13 @@ if [ -n "$TEST_SHLIB_DIR" ] ; then
DYLD_LIBRARY_PATH="$TEST_SHLIB_DIR" DYLD_LIBRARY_PATH="$TEST_SHLIB_DIR"
# For Windows # For Windows
PATH="${TEST_SHLIB_DIR}:${PATH}" PATH="${TEST_SHLIB_DIR}:${PATH}"
# For Wine
WINEPATH="${TEST_SHLIB_DIR}"
export LD_LIBRARY_PATH export LD_LIBRARY_PATH
export DYLD_LIBRARY_PATH export DYLD_LIBRARY_PATH
export PATH export PATH
export WINEPATH
fi fi
# When used in make rules, we sometimes get the filenames VPATH # When used in make rules, we sometimes get the filenames VPATH
......
#! /bin/sh
set -e
# Workaround, it seems difficult to convince wine to put ../lib into PATH.
case "$EMULATOR" in
wine*)
for f in ../.lib/*.dll ; do
ln -sf "$f" .
done
;;
esac
#! /bin/sh #! /bin/sh
rm -rf testkey.priv testkey.pub testtmp testsignature testsignature2 rm -rf testkey.priv testkey.pub testtmp testsignature testsignature2
case "$EMULATOR" in
wine*)
find . -type l -name '*.dll' -exec rm -f '{}' ';'
;;
esac
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment